Subject: [bess] some comments on evpn yang data model

From: wangzitao <[email-masked]>
Date: Tue, 11 Jun 2019 02:15:02 +0000

Dear Authors,

I have read the -07 version draft. And there are some comments.

#1 ietf-pseudowires model expired.
I ran this model on yangcatalog but received an unexpected error:
[email-masked]:21: error: module "ietf-pseudowires" not found in search path
It seems that the "draft-ietf-bess-l2vpn-yang" which define the "ietf-pseudowires" expired. I noticed that some authors are also the authors of "draft-ietf-bess-l2vpn-yang" so please revive the l2vpn yang model draft.

#2 The tree structure does not match the code. When I review the tree structure blocks, I wonder why there is only one route-target leaf under the "rd-rt" list. However, when I review the yang codes, this list is defined as：
               leaf route-distinguisher {
                 type rt-types:route-distinguisher;
                 description "Route distinguisher";
               }
               uses rt-types:vpn-route-targets;
               description "A list of route distinguishers and " +
                           "corresponding VPN route targets";
             }
The vpn-route-targets grouping defined in rt-types contains a vpn-target list. It seems that the schema tree is not updated synchronously.

#3 Many lists are lack of key nodes, for example ethernet-auto-discovery-route list, mac-ip-advertisement-route list, inclusive-multicast-ethernet-tag-route list, etc.
How do I retrieve these status data without a key value?

Best Regards!
-Michael